﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikDisappearProblem.Models;

namespace TelerikDisappearProblem.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var model = new SimpleModel() { Description = "remove me after Post" };
            return View(model);
        }

        [HttpPost]
        public ActionResult Index(SimpleModel model)
        {
            if (!ModelState.IsValid)
            {
                return View(model);
            }
            else
            {
                return RedirectToAction("Index");
            }
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}